# Asterisk Project : Asterisk 13 Function_CALLERID

Created by wikibot on Aug 08, 2014

# CALLERID()

### Synopsis

Gets or sets Caller*ID data on the channel.

### Description

Gets or sets Caller*ID data on the channel. Uses channel callerid by default or optional callerid, if specified.

The allowable values for the name-charset field are the following:

- `unknown` - Unknown
- `iso8859-1` - ISO8859-1
- `withdrawn` - Withdrawn
- `iso8859-2` - ISO8859-2
- `iso8859-3` - ISO8859-3
- `iso8859-4` - ISO8859-4
- `iso8859-5` - ISO8859-5
- `iso8859-7` - ISO8859-7
- `bmp` - ISO10646 Bmp String
- `utf8` - ISO10646 UTF-8 String

### Syntax

    CALLERID(datatype,CID)

##### Arguments

- `datatype` - The allowable datatypes are:
  - `all`
  - `name`
  - `name-valid`
  - `name-charset`
  - `name-pres`
  - `num`
  - `num-valid`
  - `num-plan`
  - `num-pres`
  - `subaddr`
  - `subaddr-valid`
  - `subaddr-type`
  - `subaddr-odd`
  - `tag`
  - `priv-all`
  - `priv-name`
  - `priv-name-valid`
  - `priv-name-charset`
  - `priv-name-pres`
  - `priv-num`
  - `priv-num-valid`
  - `priv-num-plan`
  - `priv-num-pres`
  - `priv-subaddr`
  - `priv-subaddr-valid`
  - `priv-subaddr-type`
  - `priv-subaddr-odd`
  - `priv-tag`
  - `ANI-all`
  - `ANI-name`
  - `ANI-name-valid`
  - `ANI-name-charset`
  - `ANI-name-pres`
  - `ANI-num`
  - `ANI-num-valid`
  - `ANI-num-plan`
  - `ANI-num-pres`
  - `ANI-tag`
  - `RDNIS`
  - `DNID`
  - `dnid-num-plan`
  - `dnid-subaddr`
  - `dnid-subaddr-valid`
  - `dnid-subaddr-type`
  - `dnid-subaddr-odd`
- `CID` - Optional Caller*ID to parse instead of using the Caller*ID from the channel. This parameter is only optional when reading the Caller*ID.

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538